Last Comment Bug 801723 - nsJSIID::HasInstance shouldn't assume that any WebIDL binding object that's nsISupports has classinfo
: nsJSIID::HasInstance shouldn't assume that any WebIDL binding object that's n...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla19
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 10:17 PDT by Boris Zbarsky [:bz]
Modified: 2012-10-24 13:31 PDT (History)
4 users (show)
bzbarsky: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed
+
fixed


Attachments
WebIDL binding objects may not have classinfo even if they're nsISupports. (1.22 KB, patch)
2012-10-15 10:22 PDT, Boris Zbarsky [:bz]
peterv: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Boris Zbarsky [:bz] 2012-10-15 10:17:31 PDT
Because it just ain't true.
Comment 1 Boris Zbarsky [:bz] 2012-10-15 10:22:58 PDT
Created attachment 671484 [details] [diff] [review]
WebIDL binding objects may not have classinfo even if they're nsISupports.
Comment 2 Boris Zbarsky [:bz] 2012-10-19 19:11:04 PDT
I think we need this on branches, in general....
Comment 4 Boris Zbarsky [:bz] 2012-10-22 11:18:58 PDT
Comment on attachment 671484 [details] [diff] [review]
WebIDL binding objects may not have classinfo even if they're nsISupports.

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Initial WebIDL bindings landing
User impact if declined: Null-deref crashes that content can trigger
Testing completed (on m-c, etc.): Passes tests and all that.
Risk to taking this patch (and alternatives if risky): Low risk: just a null-check
String or UUID changes made by this patch: None
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-10-22 19:04:18 PDT
https://hg.mozilla.org/mozilla-central/rev/95be4274988c

Note You need to log in before you can comment on or make changes to this bug.